Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.3.3   

Resolution: Fixed Affected version: 2.2.2

Description

Hi,

when I enter User.new.pref in the Rails console, user_id is stored in the others hash.

>> User.new.pref

#<UserPreference id: nil, user_id: nil, others: {"user_id"=>nil}, hide_mail: false, time_zone: nil

>

 Solution: In UserPreference#[] and UserPreference#[]= attribute_present? should be replaced by has_attribute?.

The current implementation also works because UsersController#create saves the user before creating the preference, so

attribute_present? :user_id returns true.

Best regards,

Thomas

Associated revisions

Revision 12126 - 2013-09-10 19:39 - Jean-Philippe Lang

Fixed usage of #attribute_present? in UserPreference (#13008).

Revision 12127 - 2013-09-10 19:40 - Jean-Philippe Lang

Merged r12126 from trunk (#13008).

History

#1 - 2013-01-28 14:09 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2013-09-10 19:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.3.3

- Resolution set to Fixed

Fixed in r12126 with a test, thanks for pointing this out.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/12126
http://www.tcpdf.org

